Subject: estimate FP operations in Comp Chem (summary)

From: Steve Williams <[email-masked]>
Date: Tue, 09 May 2000 10:36:03 -0400

I apologize to those select ccl readers who have been waiting for this
summary with bated breath; it is late but it is here:

Original question:
> I'd like to invite the CCL community to help me make an estimate, somewhat
> related to the "birth of computational chemistry" thread recently on CCL.
> 
> How many moles of floating point operations have been devoted to
> computational chemistry?
> 
> As an example, a 1 teraflop machine, running for 5 years, nonstop, will
> have done something on the order of 1E20 floating point operations, or
> about 1/6000 of a mole.  
> 
> Since teraflop machines are new (all much younger than 5 years), and
> certainly not devoted exclusively to computational chemistry, I suspect
> that in the entire history of computational chemistry we have not (total in
> the world) quite used a mole of operations.
> 
> I invite anyone who wishes to make their own estimates of total global
> comp. chem. FP operations, and I'll summarize.  I am giving a talk next
> month and thought this might be an amusing statistic to use.

Replies:

i suspect it may be several moles, and following conventional
wisdom on the rate of progress of computer hardware, as much
will be computed in the next 2 years as in all of history before.
the new super computers are almost scarry, a cray T3E maxed
out can do over 2.4 GIGAflops/s!  is there anything that won't be
calculable soon?  see:
<http://www.sgi.com/t3e/tech_info.html>
i'd be fascinating if anyone has any pricing info on these systems,
or other current crays, they are currently producing 4 product lines.
it's simply fascinating.  The available processing power should
continue to double every 2 years.

phil stortz <[email-masked]>

**************************************************************************

Nice question.  My estimate: 
Assume the current level of computations is equivalent to 100 
teraflop machines and use moores law 
=> Total to date is   0.009008 moles of floating point
operations.  Extrapolating we get our first mole of operations 
completed about march 2012.
Now: left as an exercise for the student 
1)what is a realistic energy cost per floating point operation
2)assume 50% of this energy came from coal fired power stations
how much coal has been used up.
3) compare this figure with the total mass of timber used to 
produce print out for computational chemistry.
I look forward to seeing other answers
Larry Cuffe

Laurence Cuffe <[email-masked]>

*****************************************************************************

...just a few numbers:

  the world's fastest 500 supercomputers have a total peak 
  performance of 77294 GFLOP/s 
  (as of Nov. 1999, taken from www.top500.org), 
  so the 500 fastest supercomputers still need 7.8e9 seconds
  for a mole of FLOPs (roughly 250 years).
  
-Oliver
----
 Oliver Kohlbacher   ([email-masked])

*****************************************************************************

Hi Steve,

That was an interesting question you mailed the list. I was wondering
whether youg got any useful replies.

Regards
John

John Kerkines <[email-masked]>

******************************************************************************

So, my conclusion on this is that we are not there yet, but that 1 mole of
FLOPS on computational chemistry may not be far off, at least if you are
willing to extrapolate from Moore's Law.  (That is, computing speeds double
about every 18 months or so...)

Steve

*****************************************
Steve Williams               F    F    F
Chemistry                     \  / \  /
Appalachian State University   Al   Al
Boone, NC 28608               /  \ /  \
USA                          F    F    F
[email-masked]
828-262-2965
<http://www.acs.appstate.edu/~willsd>